io.vertx.lang.groovy

## Class GroovyDocGenerator

- java.lang.Object
- - io.vertx.lang.groovy.GroovyDocGenerator

- All Implemented Interfaces:
    io.vertx.docgen.DocGenerator

      public class GroovyDocGenerator
      extends Object
      implements io.vertx.docgen.DocGenerator

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyDocGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `void` | `init(ProcessingEnvironment processingEnv)`
    `String` | `renderSource(ExecutableElement elt, String source)`
    `String` | `resolveConstructorLink(ExecutableElement elt, io.vertx.docgen.Coordinate coordinate)`
    `String` | `resolveFieldLink(VariableElement elt, io.vertx.docgen.Coordinate coordinate)`
    `String` | `resolveLabel(Element elt, String defaultLabel)`
    `String` | `resolveMethodLink(ExecutableElement elt, io.vertx.docgen.Coordinate coordinate)`
    `String` | `resolveTypeLink(TypeElement elt, io.vertx.docgen.Coordinate coordinate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.docgen.DocGenerator

      `resolveRelativeFileName`

- - ### Constructor Detail

    - #### GroovyDocGenerator

          public GroovyDocGenerator()

  - ### Method Detail

    - #### init

          public void init(ProcessingEnvironment processingEnv)

      Specified by:
        `init` in interface `io.vertx.docgen.DocGenerator`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `io.vertx.docgen.DocGenerator`

    - #### renderSource

          public String renderSource(ExecutableElement elt,
                                     String source)

      Specified by:
        `renderSource` in interface `io.vertx.docgen.DocGenerator`

    - #### resolveTypeLink

          public String resolveTypeLink(TypeElement elt,
                                        io.vertx.docgen.Coordinate coordinate)

      Specified by:
        `resolveTypeLink` in interface `io.vertx.docgen.DocGenerator`

    - #### resolveMethodLink

          public String resolveMethodLink(ExecutableElement elt,
                                          io.vertx.docgen.Coordinate coordinate)

      Specified by:
        `resolveMethodLink` in interface `io.vertx.docgen.DocGenerator`

    - #### resolveLabel

          public String resolveLabel(Element elt,
                                     String defaultLabel)

      Specified by:
        `resolveLabel` in interface `io.vertx.docgen.DocGenerator`

    - #### resolveConstructorLink

          public String resolveConstructorLink(ExecutableElement elt,
                                               io.vertx.docgen.Coordinate coordinate)

      Specified by:
        `resolveConstructorLink` in interface `io.vertx.docgen.DocGenerator`

    - #### resolveFieldLink

          public String resolveFieldLink(VariableElement elt,
                                         io.vertx.docgen.Coordinate coordinate)

      Specified by:
        `resolveFieldLink` in interface `io.vertx.docgen.DocGenerator`

Copyright © 2016. All rights reserved.